List forged agents for the current tenant
GET
/api/v1/forge/agents
const url = 'https://api.ultimateteam.ai/api/v1/forge/agents';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/forge/agents \ --header 'X-API-Key: <X-API-Key>'Return every active forged agent for the calling tenant.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
ForgedAgentListResponse
Container for list endpoint.
object
items
required
Items
Array<object>
ForgedAgentResponseWire shape for read / list endpoints.
object
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
isolation_mode
required
Isolation Mode
string
status
required
Status
string
template
required
Template
object
key
additional properties
any
tenant_id
required
Tenant Id
string format: uuid
updated_at
required
Updated At
string format: date-time
version
required
Version
integer
total
required
Total
integer
Examplegenerated
{ "items": [ { "created_at": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "isolation_mode": "example", "status": "example", "template": {}, "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updated_at": "2026-04-15T12:00:00Z", "version": 1 } ], "total": 1}